Subject: Re: bug#4609: gdb command history doesn't work with emacs-speaks-statistics

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 08 Dec 2020 19:06:06 +0100

McDave <[email-masked]> writes:

> If I launch gdb in emacs using M-x gdb then M-p and M-n navigate the command
> history as expected.
>
> However, I generally launch gdb with C-u M-x R [RET] -d gdb [RET], launched
> this way M-p and M-n navigate R's command history (e.g. following "run") but
> when at the (gdb) prompt they return "No command on this line"

(This bug report unfortunately got no response at the time.)

I don't quote understand the recipe here -- `C-u M-x R RET' just says
"No match" for me.  So is the R command something from the
"emacs-speaks-statistics" package?

Do you still see this problem in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no